{{#if this.icons}}
  <div class="card-icons flex-wrap">
    {{#each this.icons as |icon|}}
      <Icon
        @options={{@options.iconContainer}}
        @src={{icon}}
        @deviceSize={{@deviceSize}}
        data-name={{@name}}
        data-gid={{@gid}}
        data-path="{{@path}}.data.iconContainer"
        data-type="icon"
        data-editor="icon-container"
      />
    {{/each}}
  </div>
{{/if}}

{{#if this.nextDateWithLocation}}
  <TextWithOptions
    @options={{@options.nextDateWithLocation}}
    @deviceSize={{@deviceSize}}
    data-name={{@name}}
    data-gid={{@gid}}
    data-path="{{@path}}.data.nextDateWithLocation"
    class="card-text card-next-date-with-location"
  >{{!
  }}{{this.nextDateWithLocation}} {{t "event-at"}} <EventLocation @value={{@record.location}} />{{!
}}</TextWithOptions>
{{/if}}

{{#if this.nextOccurrence}}
  <TimeInterval
    @deviceSize={{@deviceSize}}
    @path={{@path}}
    @name={{@name}}
    @gid={{@gid}}
    @value={{this.nextOccurrence}}
    @options={{@options}}
    class="next-occurrence"
  />
{{/if}}